######################################################
# SpecFile: sopcast-player.spec 
# Generato: http://www.mandrivausers.ro/
# MRB-Falticska Florin
# The source license extends on all package 
######################################################
%define use_ccache	1
%define ccachedir	~/.ccache-OOo%{mdvsuffix}
%define name	sp-auth
%define version	3.2.6
%define release	 69.1
%define  dist	stella
%define debug_package	%{nil}
Vendor:		MandrivaUsers.Ro <http://www.mandrivausers.ro/>
Packager:	Falticska Florin <symbianflo@fastwebnet.it>

Name:		%{name}
Version:	%{version}
Release:	%{release}%{?dist}
Summary:	P2P internet TV
Group:		Applications/Multimedia
License:	Freeware, distributable for non-commercial use
URL:		http://www.sopcast.org
Source0:	http://download.sopcast.cn/download/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Provides:	sopcast = %{version}-%{release}


%description
SopCast is a simple, free way to broadcast video and audio or watch the video
and listen to radio on the Internet. Adopting P2P(Peer-to-Peer) technology, it
is very efficient and easy to use. 

%prep
%setup -q -n %{name}

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
install -pm 755 sp-sc-auth $RPM_BUILD_ROOT/%{_bindir}

# do not Require GLIBC_PRIVATE. Upstream informed via email.
%global _use_internal_dependency_generator 0
cat << \EOF > %{name}.req
#!%{_buildshell}
%{__find_requires} $* | grep -v GLIBC_PRIVATE
EOF

%global __find_requires %{_builddir}/%{name}/%{name}.req
chmod +x %{__find_requires}

# Create symlink
ln -s sp-sc-auth $RPM_BUILD_ROOT%{_bindir}/sp-sc

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Readme
%{_bindir}/sp-sc-auth
%{_bindir}/sp-sc

%changelog
* Fri Jan 27 2012 Falticska Florin <symbianflo@fastwebnet.it>3.2.6-69.1stella 
- rebuild for stella project
- MRB-Mandriva Users.Ro

* Fri Aug 05 2011 Mamut Ghiunhan <venerix@gmail.com> sp-auth-3.2.6-69.1-mrb2011.0
- Rebuild for 2011.0 i686
- MRB-Mandriva Users.Ro

* Fri May 27 2011 Mamut Ghiunhan <venerix@gmail.com> sp-auth-3.2.6-69.1mrb2010.2
- rebuild for 2010.2 i686
- MRB-Mandriva Users.Ro

* Fri Dec 03 2010 Ghiunhan Mamut <venerix@blug.ro> sp-auth-3.2.6-69.1mrb2010.1
- first release sp-auth-3.2.6-69.1mrb2010.1
- build for 2010.1 i686
- MRB-Mandriva Users.Ro

* Sun Nov 29 2009 Falticska Florin<symbianflo@fastwebnet.it> sp-auth-3.2.6-69.2mrb.2009.1
- imported from fedora 
- updated version to 3.2.6
- MRB-Mandriva Users.Ro

* Fri Jun 12 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> 3.0.1-2
- Remove GLIBC_PRIVATE from auto-generated dependencies.

* Sat Feb 19 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> 3.0.1-1
- Initial rpm build.
